%bcond_without check

%global commit 6598fb28bb07cb32298324b4958677c2f00cacd9
%global goipath github.com/snapcore/go-gettext

%gometa

%global golicenses LICENSE
%global godocs README.md

%global common_description %{expand:
A native Go library for accessing gettext internationalization files.
}

Name:    %{goname}
Version: 0
Release: 1%{?dist}
Summary: Native Go library for accessing gettext internationalization files
License: BSD
URL:     %{gourl}
Source0: %{gosource}
# https://github.com/snapcore/go-gettext/pull/2
Patch0:  0001-Fix-unit-tests-on-hosts-where-tmp-is-on-a-separate-d.patch

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

%install
%gopkginstall

%if %{with_check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Aug 01 2019 Maciek Borzecki <maciek.borzecki@gmail.com> - 0-1
- Intial packaging

